List video recipes
curl --request GET \
--url https://makelocalads.com/api/v1/video-recipes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://makelocalads.com/api/v1/video-recipes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/video-recipes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "ugc-30s-voiceover",
"title": "<string>",
"subtitle": "<string>",
"min_duration_seconds": 15,
"max_duration_seconds": 30,
"max_credits": 30,
"preview_video_url": "<string>",
"poster_url": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}Videos
List video recipes
Every video recipe the create-video dialog offers (a UGC voiceover, a Pixar style story, a podcast clip, a song…), each with its length range and the most it can cost. Pass an id as recipe_id.
GET
/
video-recipes
List video recipes
curl --request GET \
--url https://makelocalads.com/api/v1/video-recipes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://makelocalads.com/api/v1/video-recipes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/video-recipes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "ugc-30s-voiceover",
"title": "<string>",
"subtitle": "<string>",
"min_duration_seconds": 15,
"max_duration_seconds": 30,
"max_credits": 30,
"preview_video_url": "<string>",
"poster_url": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}